{ pkgs, ...}:

pkgs.stdenv.mkDerivation {
  version = "1.7";
  pname = "chilanka";
  
  src = pkgs.fetchzip {
    url = "https://smc.org.in/downloads/fonts/chilanka/chilanka.zip";
    hash = "sha256-u3hUW6EFhr9FIUl28u7TUKEclxWcpK95OUmL+SCwkD0=s";
    stripRoot = false;
  };

  
  installPhase = ''
      runHook preInstall
      install -Dm444 -t $out/share/fonts/truetype $src/*.ttf
      runHook postInstall                
 '';

  meta = with pkgs.lib; {
    homepage = "https://smc.org.in/fonts/chilanka";
    description = "Chilanka Malayalam Typeface";
    license = licenses.ofl;
    platforms = platforms.all;
    maintainers = with maintainers; [ aashiks ];
  };
}
